import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.assets.update({
id: "123",
});
console.log(result);
}
run();curl --request PATCH \
--url https://idalia.app/api/assets/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"uid": "<string>",
"statusId": "<string>",
"assetTypeId": "<string>",
"currentLocationId": "<string>",
"trackUtilization": true,
"manufacturedAt": "<string>",
"acquiredAt": "<string>",
"ownerId": "<string>",
"manufacturerId": "<string>",
"purchaseOrderId": "<string>",
"externalIds": {}
}
'import requests
url = "https://idalia.app/api/assets/{id}"
payload = {
"name": "<string>",
"uid": "<string>",
"statusId": "<string>",
"assetTypeId": "<string>",
"currentLocationId": "<string>",
"trackUtilization": True,
"manufacturedAt": "<string>",
"acquiredAt": "<string>",
"ownerId": "<string>",
"manufacturerId": "<string>",
"purchaseOrderId": "<string>",
"externalIds": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
uid: '<string>',
statusId: '<string>',
assetTypeId: '<string>',
currentLocationId: '<string>',
trackUtilization: true,
manufacturedAt: '<string>',
acquiredAt: '<string>',
ownerId: '<string>',
manufacturerId: '<string>',
purchaseOrderId: '<string>',
externalIds: {}
})
};
fetch('https://idalia.app/api/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"uid": "<string>",
"statusId": "<string>",
"assetTypeId": "<string>",
"currentLocationId": "<string>",
"updatedBy": "<string>",
"trackUtilization": true,
"manufacturedAt": "<string>",
"acquiredAt": "<string>",
"ownerId": "<string>",
"manufacturerId": "<string>",
"purchaseOrderId": "<string>",
"externalIds": {}
}{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "An unexpected error occurred",
"code": "500"
}Update asset
Update an asset
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.assets.update({
id: "123",
});
console.log(result);
}
run();Path Parameters
Asset ID
Body
The name of the asset
Unique reference ID of the asset
ID of the assets's status
ID of the asset's type
ID of the asset's current location
Datetime when the asset was manufactured
Datetime when the asset was acquired
ID of the company that owns the asset
ID of the company that manufactured the asset
ID of the purchase order used to purchase the asset
Show child attributes
Show child attributes
Response
Successful response
The asset ID
Datetime when the asset was created
The ID of the workspace the asset belongs to
The name of the asset
Datetime when the asset was last modified
Unique reference ID of the asset
ID of the assets's status
ID of the asset's type
ID of the asset's current location
ID of the user who last updated the asset
Datetime when the asset was manufactured
Datetime when the asset was acquired
ID of the company that owns the asset
ID of the company that manufactured the asset
ID of the purchase order used to purchase the asset
Show child attributes
Show child attributes

